commit 9cf45b692dfd593636bcbb343aa9b39a0703e363
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.1.1

commit bc090af8b7d1a42627949a94e022f3d34f3ac5ee
Author: Daniel Kirchner <daniel@ekpyron.org>

    a52: Fix usage of obsoleted avcodec_*_frame() functions

commit 85ead3367ab86198a98190aa4869e59b1fc69c2f
Author: Anatol Pomozov <anatol.pomozov@gmail.com>

    a52: Make compatible with ffmpeg 3.0

commit e1760840dc4710146a22458e4a804cbfc91e7630
Author: Tanu Kaskinen <tanuk@iki.fi>

    pph: include config.h from rate_speexrate.c

commit cdff2e32537440bf16329c8440d0d02d7ac02d38
Author: Tom Yan <tom.ty89@gmail.com>

    a52: fix reported input channel order

commit 4e98854b590db9fd8faab0fea262277805bc7769
Author: Takashi Iwai <tiwai@suse.de>

    speex: Add missing include config.h

commit eaef9a2be5a61f378b60ea09134f3c03fad3cb9f
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.1.0

commit 784ad67154e194ef747b677ee9e4c94c274e7016
Author: Valentin Corfu <corfuvalentin@gmail.com>

    jack: Fixing a small memory leak

commit 9784abe1c0497a62ccb9c0050c75f15cc09df732
Author: Takashi Iwai <tiwai@suse.de>

    pph: Fix build with older speex

commit e5ac3c6d0ee71725ebfac25ea66fd58119570a8b
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>

    pph: include speexdsp_types.h, not speex_types.h

commit d5c8a625639a25eb1d4ba2465b6a4542aeaacb43
Author: Khem Raj <raj.khem@gmail.com>

    arcam-av: Include sys/select.h for fd_set definition

commit b6834730b75008da924288cb8d4b01d7c26ec1ce
Author: Alex Wiggins <alex.d.wiggins@gmail.com>

    pulse: Add 24 bit data formats to Pulse plugin.

commit 1e32ee9a63d5d6a623d072684cdf4871734da13b
Author: Takashi Iwai <tiwai@suse.de>

    a52: Fix ioplug version ifdef checks

commit 2b7dac75a76301ad2fb270e07ca15935ce48f1ea
Author: Takashi Iwai <tiwai@suse.de>

    mix: Fix extplug version ifdef checks

commit f576eaedf18c279357654f071678e873bce14727
Author: Takashi Iwai <tiwai@suse.de>

    rate: Allow LGPL for libsamplerate commercial licensee

commit 22c8c36919e1ba964a2c214c227b31b7ce072420
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.29

commit a0693150dfd428fdd4df474efdc6b5e26a41ba21
Author: David Henningsson <david.henningsson@canonical.com>

    a52: Ignore start request if we're already running

commit 3089c5826289f923c8bc63855da681cfdc7125d6
Author: Branan Purvine-Riley <branan@gmail.com>

    jack: Restore PID to jack client name when not specified explicitly

commit dcdc8a75246649efe4bc56c26ac28f605523487d
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.28

commit e38a72e09f97521ff3f9620e288b4f12e9332ea9
Author: Jaroslav Kysela <perex@perex.cz>

    Modernize configure.ac

commit 9217377337cdceb62abeb5969112b738bb5cd551
Author: Sergey <sergemp@mail.ru>

    jack: fix polling and recovering

commit b59172b1b38ebdf24ca6dd9a62a35a428145f82a
Author: Maarten Baert <maarten-baert@hotmail.com>

    jack: Use jack_client_open instead of deprecated jack_client_new.

commit 14190cd8a1f0df42f2b9a33a16789c85b69356a3
Author: Valentin Corfu <valentinx.corfu@intel.com>

    jack: Allow to specify a client name as parameters

commit 367e208954711fabe159070d242927246ed821cd
Author: Anton Khirnov <anton@khirnov.net>

    a52: switch to AV_CODEC_ID identifiers

commit 9123179acde7f475c1ed1297aac727230e9d5bf5
Author: David Henningsson <david.henningsson@canonical.com>

    a52: Propagate errors from hw

commit 59ab64ad836446b7c06340e6935bd1fc8ce5c3f6
Author: Takashi Iwai <tiwai@suse.de>

    a52: Add chmap support

commit 1651e6f890a4ac18397dbb862402cecf522dfe0a
Author: Takashi Iwai <tiwai@suse.de>

    a52: Fix build error with the recent version

commit 2d20afb50a8ec3302346bb85770a7a6a4f7daadc
Author: Takashi Iwai <tiwai@suse.de>

    upmix: Add chmap support

commit 73d7330b2798b8c005f990688d1ef365c30f4897
Author: Takashi Iwai <tiwai@suse.de>

    vdownmix: Add chmap support

commit 7158444238d072c35b543d6eed4f9351115fec7d
Author: Jordi Mallach <jordi@debian.org>

    Add AM_MAINTAINER_MODE([enable]) to configure.in.

commit 2227c95be6267f7ad1ec3ad2fc09dbb5146bae0f
Author: Jordi Mallach <jordi@debian.org>

    Check for and include libavutil.h to avoid unresolved symbols.

commit c45f9cc41488e38e1691cad20405044083838da3
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.27

commit 4f2a330c522f60601f11c3bb78dc324a2db17a7c
Author: Sander Jansen <s.jansen@gmail.com>

    pulse: pulse_pcm_poll_revents should return 0 on success

commit f8c1a88b57ac06fe32325d3dbb81c8468c2940b9
Author: Takashi Iwai <tiwai@suse.de>

    a52: Fix build errors

commit b8e71427704d22446f570e6f7c258c309b016799
Author: Takashi Iwai <tiwai@suse.de>

    a52: Add the support of recent libavcodec / libavutil

commit a4226cfe029f10585eb36fb527fde9a07a534f93
Author: Rémi Denis-Courmont <remi@remlab.net>

    pcm_pulse: set prebuf parameter according to software parameters

commit 9df5dc7dd628b0d692cf896c210a134e85e88915
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.26

commit 15b29ade8f756c8904bbab48c8be7c880925e4ca
Author: Andrew Eikum <aeikum@codeweavers.com>

    pulse: Support 24-bit formats

commit 81ae188c8d1b42d187b97846e3b31479a00d4720
Author: Takashi Iwai <tiwai@suse.de>

    usb_stream: Fix build with glibc 2.16

commit 7a28d7a8672848baf4e9cb94967cb013ad6723cb
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.25

commit 6c6a4e417e874f523435242129685eee656e79ab
Author: Jaroslav Kysela <perex@perex.cz>

    Added missing configuration files for the pulse plugin

commit b3fb514e0425d08aa0c6c747f36942b7899bab9b
Author: Fons Adriaensen <fons@linuxaudio.org>

    jack: Fix revents for playback

commit edfb903f625b7193c4127e91cbe641ba5f421c27
Author: Chris Rankin <rankincj@yahoo.com>

    Set CLOEXEC flag for pipes in PulseAudio plugins

commit 84ce9d8230d19ebd67bc8db691bab74c4cbac979
Author: Colin Guthrie <colin@mageia.org>

    pulse: Install a PulseAudio config snippet into alsa.conf.d

commit 83d5f81b7fb873dfe603356ee5b97b1381a4d5ec
Author: Takashi Iwai <tiwai@suse.de>

    pulse - Define a dummy PA_CHECK_VERSION() when not available

commit 3854daba604370d3dd7057407b946311bb184122
Author: Takashi Iwai <tiwai@suse.de>

    pulse - only underrun if no more data has been written

commit 21f66868d24e97930f826fb9970a9d1e4b144cf9
Author: Kevin Ross <kevin@familyross.net>

    jack: Fix hanging applications when using jack plugin

commit 440e79153ffd3b38ba5494f92c7ba7767cd590b3
Author: Takashi Iwai <tiwai@suse.de>

    pulse: Set PA_CONTEXT_NOAUTOSPAWN when fallback is available

commit 5f5cde50d9de7b63aa6f1a7a86c31eeb2a4e9950
Author: Takashi Iwai <tiwai@suse.de>

    pulse: Add fallback option

commit 826dafa673157b570eacd38e85ca13a3dc7c0c73
Author: Colin Guthrie <colin@mageia.org>

    a52: Fix build with older ffmpeg versions.

commit e1661e3daa22cfed67c4b74099bcd97b433af24b
Author: David Henningsson <david.henningsson@canonical.com>

    Pulse: Fix snd_pcm_avail returning 0 in some cases

commit 40c129a160f37fe9488b2828d6299f99c269703e
Author: Joerg Reuter <jreuter@suse.de>

    a52 - Fix a52 codec with recent libavcodec updates

commit 06ca71522f1dc48b8503d945da81fdbcbab0aafa
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.24

commit 3b51db35d2b108c2bd4dadbb550f50c8f05ab5d2
Author: Jaroslav Kysela <perex@perex.cz>

    Fix README-jack (second channel)

commit c20d516e229620129ee20175d8fee8511cc3a4bd
Author: Takashi Iwai <tiwai@suse.de>

    pulse: Add handle_underrun option

commit 1675414eca06dcfc20899adf104ace05acfe26a0
Author: David Henningsson <diwic@ubuntu.com>

    pulse: Fix invalid buffer pointer return value

commit 434ab6c8b6ee24f6a692a7ccc77f08ffd9aa8def
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.23

commit ba1e136829568ff43e9083ef031f5e0f536bbf71
Author: Michaël Cadilhac <michael@cadilhac.name>

    usb_stream: Allow user-set period-size and rate

commit e3b3c401bb9f6ff4d428600350a53c952ad1747e
Author: Michaël Cadilhac <michael@cadilhac.name>

    usb_stream: Check for NULL-ness before dereferencing

commit 37f70b39f96801655940e2bdb834f8e5dd8bba74
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.22

commit 3c7f34c18f5d38fbb0ce37dde791e0889c019959
Author: Christopher Schramm <sourceforge@shakaweb.org>

    upmix - Add 7.1 support

commit e153af85698f6e85d0757b69e1ef77f23b67988f
Author: Anssi Hannula <anssi.hannula@iki.fi>

    a52 - set channel layout with recent libavcodec

commit dfe0c4fe6fc26c94d633316ce8f85cb0c17ff807
Author: Anssi Hannula <anssi.hannula@iki.fi>

    a52 - fix 5.1 channel order with recent libavcodec

commit 58d674577a731c663d129a1dcd9855c4112b756f
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.21

commit 4c71fdd22dbfaf7b5fb7de62bbc9dd4002e788db
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse: immediately trigger EIO when connection is dropped

commit 50562a9d5d54270ab67f183013204d24cdbeff21
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse: rework object destruction paths a bit

commit 59ccd2aca941b4653803f5415b4985ab35de0c35
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse: unify stream/context state checks

commit c3acf0f4df121fef0014bd165fa86ccb1060d669
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse: get rid of redundant state variable

commit f74878bc610bccc4656f8194f29176cf9c956de9
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse: move a couple of PCM related functions from pulse.c to pcm_pulse.c

commit 76d34749c05ba77614f648128ad7045681f547ae
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse: replace manual mainloop by pa_mainloop_iterate()

commit 16f837ec71a254a6bff7d26faf55237c4df5749c
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse: call pa_threaded_mainloop_wait() to handle spurious wakeups

commit 422958fa4b8101af842220a67e77c8090ad34a8b
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse: unify destruction of snd_pulse_t

commit d2ea09f162f114480516a9d993d3d71bf357c835
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse: use PA_CONTEXT_IS_GOOD where applicable

commit be8799947bac41c50460111b0ac20ff8176b6b47
Author: Lennart Poettering <lennart@poettering.net>

    pulse: get rid of a number of assert()s

commit ae9a633d98988d072307284a260e985a4c660501
Author: Takashi Iwai <tiwai@suse.de>

    oss - Add missing initialization of fragments

commit d9a839d51255c939f394f770b249c8a4a9600122
Author: Troy Moure <twmoure@szypr.net>

    alsa-plugins/pulse: Implement 'pause'.

commit 95d463cb38ad7b0ad6e1d1550b9e8195528cbc46
Author: Takashi Iwai <tiwai@suse.de>

    speex - Add echo-cancelling option to speexdsp plugin

commit 76e0c15ce430e4ae04d4cb14760be0bf20365500
Author: Takashi Iwai <tiwai@suse.de>

    Add PCM rates query support for PCM rate plugins

commit e79761b9a0a7e877e4abe772cefbafbed6cf115f
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.20

commit 232633212a384f0a275160226e4e2b5e73b5142b
Author: Peter Stokes <linux@dadeos.co.uk>

    arcam_av: Refactor event callback to facilitate addition of "numid" optimisation

commit 7a06fb4ccba34124dc09ea3678599281a936db06
Author: Peter Stokes <linux@dadeos.co.uk>

    arcam_av: Refactor control specifications to facilitate addition of "numid" optimisation

commit 9e71a90ea5f34872d8e0b700746aebdd2508a7ae
Author: Peter Stokes <linux@dadeos.co.uk>

    arcam_av: Remove incorrect usage of the static SHM ID variable

commit 63257a7b4b47cd654c96511366645eb2b6025956
Author: Takashi Iwai <tiwai@suse.de>

    oss: Add numid check in ctl plugin

commit a8b557b30242002af6189a587d57fb40f11dda95
Author: Takashi Iwai <tiwai@suse.de>

    pulse: Add numid check in ctl plugin

commit 0b7044418c81b751d9f059fbfcade470a7d5c882
Author: Takashi Iwai <tiwai@suse.de>

    Clean up Makefile.am

commit adbe0312ac90c46b4c841f6eabfda22ff672a4ad
Author: Peter Stokes <linux@dadeos.co.uk>

    Add arcam-av plugin

commit 279f39f0c46d925ae0b5fe8fb19bcab72dc980c2
Author: Takashi Iwai <tiwai@suse.de>

    Add missing continue in config parser of pcm-upmix plugin (again)

commit 715e5051c3026655154003799069ae55dc81cf5a
Author: Takashi Iwai <tiwai@suse.de>

    Add Speex pre-processing plugin

commit ba7cd8e0a04798479f851741ec29fef97889aa39
Author: Takashi Iwai <tiwai@suse.de>

    Fix build of pph plugin with speex-1.2rc1

commit c547b535a20a0909c17cb6dd14e5e364b2ae0fe9
Author: Takashi Iwai <tiwai@suse.de>

    Add missing continue in config parser of pcm-upmix plugin

commit 6f1ad58ba099beb95d0c59463e0a57794b3cc050
Author: Takashi Iwai <tiwai@suse.de>

    Add missing -lm to pph plugin

commit 3ed74fa7b6a0d7f81d93c4a8c9fdb00e55c6c334
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.19

commit 43abf9c23d7edb1dca74406248ff735a9b8d66de
Author: Jaroslav Kysela <perex@perex.cz>

    Added m4/attributes.m4 to extra dist.

commit 021c884548f8ed502fec114a1efd22679d718a19
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Mark as static the functions not used outside their unit.

commit 9d65155c28d4a47022a4de7e604187b8b2ad2137
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Make some static tables and strings constants.

commit e4ce5402202d983a84d01555445eeb23e5a9268f
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    [RFC] Don't use pow() for calculating a power of 2, use shift instead.

commit 0a957ec80e3184cd4cf76a0ec4e070e59d027f8c
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Cleanup flags in maemo/Makefile.am

commit c7455879349af9e457836a574bddccdf1dbe4f9f
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Check for --no-undefined linker flag and use it.

commit 2928400a9dc81a89131c9269864be6b9c550de7d
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Add the attributes.m4 macro file from xine/lscube.

commit 8e4cd0e52ceda7acbf52616beadf7a355208400e
Author: Diego 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Allow opt-out from jack, pulseaudio and avcodec dependencies.

commit 0f30b30384caa59b5d6a34ec4cf493230c3fa096
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.18

commit 47458ae7de308cb347ba634a445b3cec8589a20c
Author: Takashi Iwai <tiwai@suse.de>

    pulse - Fix capture problem

commit 8b16b925f4ecb6d0cf0dd5b045eebe12d7f778f5
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse - Fix destruction logic on failed construction

commit ae975f9c06e429da9dc8821367d775a25af69fbb
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse - Fix destruction order on failure

commit 2180062440a322576a6a382cddfb0e62eae44512
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse - fix minor memory leak

commit e8b648773306fa7cba0907cc92f4a0366eb54e74
Author: Lennart Poettering <mznyfn@0pointer.de>

    pulse - Start PA event loop after we have created the context

commit c0a2cf25e83dfdd9557835f31b64a9488ea00e9b
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.18rc3

commit c2456f2cd9e50ea24acb80cc9784d9a25eec486f
Author: Lennart Poettering <lennart@poettering.net>

    A bag of clean-ups for pcm_ctl.c

commit 8ff77ce38c9be393217391d02ee0f49b12dc4a76
Author: Lennart Poettering <lennart@poettering.net>

    Remove our own poll handler implementation entirely

commit 6d9a4fe0f31b7752cfd31fcb02709cb695189dc6
Author: Lennart Poettering <lennart@poettering.net>

    Don't implement our own poll handlers, we can use the default ones

commit 73dd8832bc1cbc12049a42aa7a77a9ddbe7056fd
Author: Lennart Poettering <lennart@poettering.net>

    Add const to our snd_pcm_ioplug_callback_t instances

commit b05f0176d1427586e411a91cda02a8877c5c8c0d
Author: Lennart Poettering <lennart@poettering.net>

    Use S32/FLOAT32 only where available in the PA libs

commit d0e5d3638fcc30c01d59742fbf6dbe15d4ec610e
Author: Lennart Poettering <lennart@poettering.net>

    Use PA_STREAM_EARLY_REQUESTS if available

commit e94473de09a5877196196f15a8bc52b2a155a819
Author: Lennart Poettering <lennart@poettering.net>

    Make sure we always have a sensible channel mapping

commit c563463c89c9ee37014ba3f5b0f22df16d5b8ae0
Author: Lennart Poettering <lennart@poettering.net>

    Adjust buffering metrics to match what PA internally uses

commit 060e34d669ecfed6bc45b6012f824d99a8e316ac
Author: Lennart Poettering <lennart@poettering.net>

    Save a byte of memory

commit fa9d943c69346b5bebda615c93bc350843c258b8
Author: Lennart Poettering <lennart@poettering.net>

    Split out O_NONBLOCK setting into seperate function

commit c5759e34c179061dc02c9a28653a822cc586ec23
Author: Lennart Poettering <lennart@poettering.net>

    A bag of minor clean-ups for pulse.c

commit bc9eb41ea2cbe9a19e5d63ddc9e09ed5e7d1b77a
Author: Lennart Poettering <lennart@poettering.net>

    Drop our own implementation of the poll() callbacks

commit 2a91715c4643fd5cd9cccce0c2aa56cc493e75ce
Author: Lennart Poettering <lennart@poettering.net>

    Make pulse_ext_callback const

commit 5fad0daf86a65ee5b46fe56f9dd488a691b25955
Author: Lennart Poettering <lennart@poettering.net>

    A bag of minor clean ups for ctl_pulse.c

commit f27d0bea1d4cc608f49e39d64abd948744e2e25f
Author: Lennart Poettering <lennart@poettering.net>

    Rework hardware parameter selection

commit 41e72433edeac26487b00a94b3b493a800d5924c
Author: Lennart Poettering <lennart@poettering.net>

    Remove fix for bug 0003470

commit 31adc7c069b3b73a44e00e681d16330ed993c51f
Author: Lennart Poettering <lennart@poettering.net>

    Add more error checking

commit f5d1f3be98d95bec41f64d0568accddce8c2f212
Author: Lennart Poettering <lennart@poettering.net>

    Get rid of pulse_poll_revents()

commit 4902e7a9e83d48398cd84b28e00daa837555b83e
Author: Lennart Poettering <lennart@poettering.net>

    Add trailing NUL character to snprintf output

commit e3c2aaa6fa61423805d0659d9625bb52337cd6ba
Author: Lennart Poettering <lennart@poettering.net>

    Support S32 sample types

commit a06af61b6b6e4d56ba3e5dd84536af8815220f84
Author: Lennart Poettering <lennart@poettering.net>

    use SNDERR instead of fprintf to print error messages

commit 7c1f52d2c510bd5cdf75f0acd15604f645ea5b41
Author: Lennart Poettering <lennart@poettering.net>

    Call pa_context_disconnect() explicitly

commit 10aac327d94ed32e05154d67f3a6df0529cb37dd
Author: Lennart Poettering <lennart@poettering.net>

    Don't modify the SIGPIPE handler

commit 2c3cc4cca7d829c90b44f1bd8b5392e763b9cea1
Author: Lennart Poettering <lennart@poettering.net>

    Make pulse_new() a proper C function

commit e5b760950a05220edce9f074525522d7144f28b4
Author: Lennart Poettering <lennart@poettering.net>

    Add Emacs-style /*-*- linux-c -*-*/ header comment

commit d612c4e404dbd474f115ea9e2c986cb94145987a
Author: Lennart Poettering <lennart@poettering.net>

    Reindent to Linux kernel style

commit 567fb2d4ff1270a3c425688bd410edadc12428a2
Author: Takashi Iwai <tiwai@suse.de>

    Fix build with recent ffmpeg

commit 2f29d651b5bd843411315861f2946dc64dbd4ac7
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.18rc2

commit 80aa016d58057e5bbe4d73098e706ca17795ec4d
Author: Takashi Iwai <tiwai@suse.de>

    Add missing noinst_HEADERS to usb_stream/Makefile.am

commit 572d332d20fa3b126cfd582510ebc5155fda31ce
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.18rc1

commit 77dd49f5b9a7a776978bdbe138b664da64464310
Author: Takashi Iwai <tiwai@suse.de>

    Add patterns for garbage files to .gitignore

commit a5581a6ae111e85a93a719a434e0229670a6263b
Author: Karsten Wiese <fzu@wemgehoertderstaat.de>

    Add usb_stream PCM plugin

commit 90c32999189cf6f5c63f40dadb8076eca379713b
Author: Lennart Poettering <mznyfn@0pointer.de>

    send both an uncork and a trigger in _start()

commit cf23b804e022e6d9c0e1894fed887a735963a127
Author: Takashi Iwai <tiwai@suse.de>

    pulse - Returns errors instead of assert()

commit 044d392628d33c71e2ac6411f4553bda7dc6ddff
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.17

commit 7d53b9d293d79b16c8ed93cb81388f2365e9aaf6
Author: Takashi Iwai <tiwai@suse.de>

    Fix invalid withval in configure script

commit 0fd4c0793ef166f54c0a2d53221bfa600b974b53
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.17rc2

commit aeb4cce67250011a94860318a80236b05373c078
Author: Takashi Iwai <tiwai@suse.de>

    Add more files to .gitignore

commit bfb34e44a1b323d6db67dc376986c707cad0477e
Author: Sjoerd Simons <sjoerd@luon.net>

    pulse - Change to hook load_if_running

commit 5d1c1b862603937bc28a66c58131b7bebc11e8c6
Author: Sjoerd Simons <sjoerd@luon.net>

    Pulseaudio alsa configure hook

commit b3f732f4d30f7151e7c4844e2ef9296cb59b61bf
Author: Takashi Iwai <tiwai@suse.de>

    Fix close in maemo callback

commit 0fec8b8d0af1a9567ea671ad33633d9dab2de9d3
Author: Takashi Iwai <tiwai@suse.de>

    Improve configure for maemo plugin

commit f2b74602c8c30fa6dd793a2477f1ea1ce8a057f2
Author: Takashi Iwai <tiwai@suse.de>

    Various plugins don't support "hint" sections

commit 1a8645a9fe1f85421b3b906bd1fe355432e7c099
Author: Takashi Iwai <tiwai@suse.de>

    pulse - Remove another assert

commit f1f1aa2a8698ab414e8399104da0684d33836c36
Author: Takashi Iwai <tiwai@suse.de>

    pulse - Fix useless assert

commit fa321a6572354ab9d1b285dffc0c7eb08f7302a2
Author: Jaroslav Kysela <perex@perex.cz>

    hgcompile -> gitcompile change

commit e2ae41e27d178738a3ff0d03222bcdfc38b1895c
Author: Jaroslav Kysela <perex@perex.cz>

    removed .hg* files and renamed hgcompile to gitcompile

commit 88acdeed917a3fca7f39b90b4d959e7fcfe0686b
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.16 for changeset 0fc727fc959d

commit 80206ba586254f912cb5090c18e820d6f2242faa
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.16
    Patch-level: Merged

commit f40502ae409ced54e4efbc1431cfb8c24105743b
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.16rc1 for changeset 8fee791a2fef

commit 143446dd51e17ce3642f87f89c17466651974c7c
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.16rc1
    Patch-level: Merged

commit 660e0f16145167a966e9b8387e9a8e08274a8f7c
Author: Takashi Iwai <tiwai@suse.de>

    PulseAudio plugin: report XRUN state back to application

commit 327e169964b0a5bdcffb46eb49a305f3aabaeab4
Author: Takashi Iwai <tiwai@suse.de>

    Use different buffer metrics in the PulseAudio plugin

commit 2a3260e3b3baef76262b57caca396566e0cec964
Author: Takashi Iwai <tiwai@suse.de>

    pulse - Add minmax condition for period_bytes and periods

commit c1027970c49988368a46d887dc7f608d53b14d90
Author: Takashi Iwai <tiwai@suse.de>

    Fix wrong assert in pulse plugin

commit 9883345a35b5a146c917c5df7e15430b2d500190
Author: Takashi Iwai <tiwai@suse.de>

    Fix unexpected assert with pulse plugin

commit aa36d2081b9d1fbf5bcafa4d22b02fc907fa8d97
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.15 for changeset 93d05f3418b2

commit 4fa0d3766b57984895d2970c5ce5f537b91b4e32
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.15
    Patch-level: Merged

commit 7ee4bd034698dec9b845575c4a2e677f28733b93
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.15rc1 for changeset 690ebe80ad89

commit 19390773f239334a1554f0514fa9c5cd25a7c775
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.15rc1
    Patch-level: Merged

commit 1ee7b56befc16d0940bd162f3ac9b6ae66e85f0b
Author: Takashi Iwai <tiwai@suse.de>

    Update speex rate converter code

commit f875609b187837c4332246a55c8032db07aa76c0
Author: Takashi Iwai <tiwai@suse.de>

    Disable direct sinc table

commit 64d863f3372f22a9220b0b6445b85b8daf03334d
Author: Takashi Iwai <tiwai@suse.de>

    Fix the pop noise with samplerate plugin

commit c69c4aead9d373f94a9c6754eae5815d7652286a
Author: Takashi Iwai <tiwai@suse.de>

    Add -no-undefined option to LDFLAGS

commit aded3977929fb050ef18fff3f704a7270b7a5957
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14 for changeset 213140a5ea7a

commit 2fe3806df64c71404ba7e663fae7f6924fc65122
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14
    Patch-level: Merged

commit aebdd9e980cc4e8497c06c8b65174c56e2047582
Author: Takashi Iwai <tiwai@suse.de>

    Enable link with external libspeex

commit 8d4f7e4e6b62cdeb39b8996b2ee24dd5770c81ca
Author: Takashi Iwai <tiwai@suse.de>

    Fix segfault of a52 plugin

commit 7244955fe9ad9cbbc8f16c927da4d9bd4e5d1b20
Author: Takashi Iwai <tiwai@suse.de>

    Fix plugindir config setting

commit 7d12beb1332bf07e17eb8df412cd20dbbbf62c22
Author: Takashi Iwai <tiwai@suse.de>

    Add plugin directory configure option

commit 29979b264f1c214d55f34e47ee7437e3b9deabc6
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc4 for changeset 7147fb6d6612

commit 024689c50d15d15b0f18ec189bfccf3f4b6ecd7e
Author: Takashi Iwai <tiwai@suse.de>

    Add missing header files for pph

commit 0a3a0a69a64b8ff6f5769f3664b027eb78c8b2ae
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc4 for changeset 01a4a861a39c

commit b628037d1235b6bce02858d90f11ea0c93cc78cd
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14rc4
    Patch-level: Merged

commit d082a4497ccaba23acbf4f1d668e6489a3c7ca3b
Author: Takashi Iwai <tiwai@suse.de>

    Add missing files for pph

commit 5a6cc15e68593cdd71eb7f5d08173518601e580b
Author: Takashi Iwai <tiwai@suse.de>

    Update version of speex resampler plugin

commit a281c48a064677ff86874b42024738d09b7f01a0
Author: Takashi Iwai <tiwai@suse.de>

    Add missing gcd.h to rate-lavc/Makefile.am

commit 9a4eb9e7e5b8b9487c1ca1790e2276685c928598
Author: Takashi Iwai <tiwai@suse.de>

    Add documentation for speex rate plugin

commit 30247edc84a1eb9479f3c9eb7fa80eab90134b0f
Author: Pierre Ossman <ossman@cendio.se>

    Improve parameter constraints in alsa-pulse

commit 83eff5cceffcb4c7ea5331b65faf739a2889b15b
Author: Jaroslav Kysela <perex@perex.cz>

    v1.0.14rc3

commit 254113f142019880e8e14b78db9f0e5156c93949
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc3 for changeset 056fbbe54729

commit e5eb3b04c7e0de6412cdd3f72928dbcc15c13a98
Author: Jaroslav Kysela <perex@perex.cz>

    pph - do not include <samplerate.h> in rate_speexrate.c

commit ef8ed762b2febe07efbe34072e11c5e0d37a2a3f
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc3 for changeset 81f4b9426736

commit ae712178f8c435121ce58fe123c08e554c8e5d6c
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14rc3
    Patch-level: Merged

commit 36ccb62d45d6c1192e2dc01ac639e6debc585f00
Author: Takashi Iwai <tiwai@suse.de>

    Add rate resampler plugin based on speex

commit ee123ac93ea59d11e7d3c48aed9cf88d1a5de431
Author: Takashi Iwai <tiwai@suse.de>

    Fix wrong implementation of input/output_frames in samplerate plugin

commit 9481014305ab8f8e1ba07749c0b7f68ec4b99e56
Author: Takashi Iwai <tiwai@suse.de>

    Add livavcodec resampler plugin

commit 25451b27d65d17a0d60b3c8e9bb7510e1ed68bd1
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc2 for changeset 20a7340e62bd

commit 49d90e84ea0885e523b60923c83374b6ef0358ad
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14rc2
    Patch-level: Merged

commit bcab77d7a74470fd48358c9b4ac408134d7db997
Author: Jaroslav Kysela <perex@perex.cz>

    1.0.14rc1a

commit d7a5a7e31c9e325991a0e7ea6823012d06838154
Author: Jaroslav Kysela <perex@perex.cz>

    remove old 1.0.14rc1 version

commit 060207700a7705122627f950c211bdd8dc49c47b
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc1 for changeset 60e437c600432f71d33744f6312005313aad3226

commit eecbfa62b894b7e6c2cebe21e439a365b95e6c2a
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14rc1
    Patch-level: Merged

commit eb83d5b5bbdaa7ec6213470c611caa8d3ea12ed3
Author: Jaroslav Kysela <perex@perex.cz>

    remove previous v1.0.14rc1 tag

commit f89742e668af0bfa75eec0e13ac8c7dddaa11811
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc1 for changeset 8ef2d7f695168af4320c022c45f907c3f0d13238

commit 215da2d8f8581e62649f5f0ffe32a495f319a34d
Author: Jaroslav Kysela <perex@perex.cz>

    compile maemo only if DBUS is present

commit 3c649d08af50944ac5185fe6abe60b9990debc08
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc1 for changeset 008a29ed635ddb71017bc93ec8f37272217b519f

commit fb2707c9e62e0f6ea20c9f80301b4ba2716b9163
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14rc1
    Patch-level: Merged

commit ee4bcb2f731616dbe89bc04f60ecbd6e790898d0
Author: Eduardo Valentin <eduardo.valentin@indt.org.br>

    Alsa support for Maemo SDK (n770) - Remove compile warnings

commit 8f2bc849bb419221dc08370fd6439632eeae2c1a
Author: Eduardo Valentin <eduardo.valentin@indt.org.br>

    Alsa support for Maemo SDK (n770): Documentation

commit 8428de6faa31639a5ff7a53c9126f31592077de5
Author: Eduardo Valentin <eduardo.valentin@indt.org.br>

    Alsa support for Maemo SDK (n770): Build configuration

commit ec9c86f8c1528765dc933ff09d74ae1b1408a7b4
Author: Eduardo Valentin <eduardo.valentin@indt.org.br>

    Alsa support for Maemo SDK (n770): External Control plugin

commit b79063da276eecd1c3683ad3fbe9de0f66094898
Author: Eduardo Valentin <eduardo.valentin@indt.org.br>

    Alsa support for Maemo SDK (n770): External PCM IO plugin

commit 964386b0ff8b52b73065ca6eb1314461b7f1af4b
Author: Eduardo Valentin <eduardo.valentin@indt.org.br>

    Alsa support for Maemo SDK (n770): DSP protocol

commit 3adcda60ff6bc35b288a6659f48ae55a5d98f67d
Author: Eduardo Valentin <eduardo.valentin@indt.org.br>

    Alsa support for Maemo SDK (n770): Header files

commit 3321b98b61f344ad1e05e9d45319a49065c8dc9e
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.13 for changeset 213585f2697b17be9ef139ff2aff3f75139bb5be

commit 8d561d64670a38957397d6d773f9900a9f6f4e09
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.13
    Patch-level: Merged

commit 1a16871f1732be2deaa9c07d476733db70ceffc6
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.13rc2 for changeset cc718cf3b67386ffe411971394d5fe96bdd2245a

commit aa979f7b427f1472cb7dc8cc106afb383f2f3e0d
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.13rc2
    Patch-level: Merged

commit 224a881062aa8e56139ea4d0c03a0b6497025aa6
Author: Pierre Ossman <ossman@cendio.se>

    Remove stray Polypaudio strings

commit e88f7ba7a408327db651b283b53bdab8a0bacd0a
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.12 for changeset f20ae39b72a32a1b9ede656d49014e7e1882928d

commit e71e71e4a4f83a8f67ed2752b3152f2a8c9d9d6f
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.12
    Patch-level: Merged

commit a37acbb7b032e96251473780d48577dec17b0fb0
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.12rc2 for changeset 2316cce004b93148525c69aefb7927223bf09ddc

commit c650fc58680876d56c61be31461b2a6bd9b99cb3
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.12rc2
    Patch-level: Merged

commit 5aa038cf705951c3732c0319997ae919b501f201
Author: Pierre Ossman <ossman@cendio.se>

    Fix capsed name in configure

commit 9304087e46a38f932959598720d1e048a6e1042a
Author: Pierre Ossman <ossman@cendio.se>

    Follow Polypaudio/PulseAudio name change

commit 65028b0c19c6aa3ba469cbb9d52c56655d3b67b5
Author: Takashi Iwai <tiwai@suse.de>

    Add missing a52.txt

commit 05c49dea0b2770b37643fe588d78e79fc55cd115
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.12rc1 for changeset 5e5da8ace771a77905612ffad0309063d6d64eb9

commit ab6109ee37aafce0b9a275099d6fa7141c343040
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.12rc1
    Patch-level: Merged

commit e945a42f2c28c271a56ce0546d38f0c33c4b8125
Author: Pierre Ossman <ossman@cendio.se>

    Update Polypaudio plug-in to the 0.9.0 API

commit a80fb39fa7cfdf1a5b157b526d3eebe0cd73716e
Author: Takashi Iwai <tiwai@suse.de>

    a52 - Add slavepcm option

commit 23969a4622daeed3682b402cf69613ef813414e5
Author: Takashi Iwai <tiwai@suse.de>

    Add hgcompile script

commit 48e2f783f4f72c7021e858054838ff47d89951f4
Author: Takashi Iwai <tiwai@suse.de>

    Fix port names in jack plugin

commit f95fc269d11687d7777cdd597e977a31a15469e7
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.11 for changeset 029bdc90014449f9643469c49d44964f70175240

commit ff5b2168f3afe82725e35e61338cd650a8425fd4
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.11
    Patch-level: Merged

commit dc7db2162130edc86350b38b6dc3055bd5f41eb6
Author: Takashi Iwai <tiwai@suse.de>

    Accept integer for card option

commit 608a7e6cc73157a1a20af4de23381e455399df0a
Author: Takashi Iwai <tiwai@suse.de>

    jack plugin closes stdin if jack is unavailable

commit d99528f70f566373029fdbab0cd621469be80a99
Author: Jaroslav Kysela <perex@perex.cz>

    fixed .hgtags - added 'v' prefix to versions
    Patch-level: Merged

commit 9546a9bc34f3fdbedb85e6e403c98dda34849561
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.11rc5 for changeset d37a68d6d0c091144c75628edbc4066c05e86c90

commit f8b63ef1d9288dc77a7d2b3ffabf930606010c22
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.11rc5
    Patch-level: Merged

commit 5395724378feb8f25efff96cdac60f46aed083c9
Author: Jaroslav Kysela <perex@perex.cz>

    Added tags since ALSA version 1.0.9rc1

commit f4c8f820374d129cdb3052270dff6069081f7aa1
Author: Takashi Iwai <tiwai@suse.de>

    a52 plugin - Fix iec958 frames for S16-BE

commit 27b17fe7b79fcd1db4041c79b779a636eb506743
Author: Takashi Iwai <tiwai@suse.de>

    Fix XRUN detection in a52 plugin

commit a836797cd486d0c372d3503a7241a452959eaafb
Author: Takashi Iwai <tiwai@suse.de>

    Fix to use glob

commit 2559a56209c6729574b8cb16c5be63e1cc2f1c04
Author: Takashi Iwai <tiwai@suse.de>

    Add a52 output plugin

commit bc0c2843db4dea70251e8c5b4a9272ce40caa7f2
Author: Takashi Iwai <tiwai@suse.de>

    Check the malloc error

commit 3cd8d134e5f94d08c33178a594519eadbbf7eaf8
Author: Takashi Iwai <tiwai@suse.de>

    Misc fixes for upmix plugin

commit 74bdac50b257b986cea38a2c08134c430fc5654f
Author: Takashi Iwai <tiwai@suse.de>

    Add samplerate rate converter plugin

commit 423a6f3c7be331984ec74587bf278204d19a4467
Author: Takashi Iwai <tiwai@suse.de>

    Add .hgignore

commit b9e3e9fda9947fcf527dd774b246ea487bab125d
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.11rc4
    Patch-level: Merged

commit 6c2a8733b5d9f7e6fd8b1dbba5aaf0d451858ffb
Author: Takashi Iwai <tiwai@suse.de>

    Change autoconf requirement to 2.59

commit b59cf0e288b82fca2e0715fca20ba3ede5dae3dc
Author: Takashi Iwai <tiwai@suse.de>

    Add upmix and vdownmix plugins

commit a86da2532c4072bccaeb380099a90b63262bf14d
Author: Takashi Iwai <tiwai@suse.de>

    Fix a compile warning

commit 9e3b9744fab698cf5b3d09f5c02c950ed53874b1
Author: Takashi Iwai <tiwai@suse.de>

    Fix misc compile warnings

commit a8c3e7d2d2c21f5bd2a8e2b3afa2229d1d7e8476
Author: Pierre Ossman <ossman@cendio.se>

    Make polypaudio plugin thread safe

commit b7100f9fe06057716986bdd6a3c21679cb2faccd
Author: Pierre Ossman <ossman@cendio.se>

    Incorrect revents in polypaudio plugin

commit 8c65cdcb6e1872470f66a97a1c70418a688d4490
Author: Pierre Ossman <ossman@cendio.se>

    Properly terminate stream in polypaudio plugin

commit 9dd5f99aaa41c94b0ca89701282a9564f24e88fe
Author: Takashi Iwai <tiwai@suse.de>

    Fix a typo

commit ee6bcbab439eccce1e48b0627bc3f9a8b2af394b
Author: Takashi Iwai <tiwai@suse.de>

    Fix handling of ctl elements
    From: Pierre Ossman <ossman@cendio.se>

commit 5c19def15c3348aeb981f212aad236c2edb73c08
Author: Takashi Iwai <tiwai@suse.de>

    Fix Makefile.am entry

commit 074572b26a1403418a86872a59af1bfb4f781c71
Author: Takashi Iwai <tiwai@suse.de>

    Update polyp plugin
    From: Pierre Ossman <ossman@cendio.se>

commit 153757be2e8e5ab65913e7bbd0e5ebcc60c8e467
Author: Takashi Iwai <tiwai@suse.de>

    Fixes for polyp plugin
    From: Pierre Ossman <ossman@cendio.se>

commit 6890d16836e85deed9e8ca91d095473347013ccc
Author: Takashi Iwai <tiwai@suse.de>

    Structure reorganziation, added polyp plugin

commit 6074e887419c70bed8a9177a4d78357156c7c611
Author: Takashi Iwai <tiwai@suse.de>

    Allow concurrent runs with different names

commit 8ebf880126b67d0d0ac2479cdf31c239860a1184
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.10
    Patch-level: Merged

commit 0ae881b9f83479086f65f9ca0bd90da4632efec8
Author: Jaroslav Kysela <perex@perex.cz>

    commented README for ctl/oss (does not exist)

commit cdd1dc6fa7aa8b61a6f8ec4ea68577dc973b7214
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.10rc1
    Patch-level: Merged

commit 6493a5f501c3dfe158554020d4a6a10329273cbd
Author: Takashi Iwai <tiwai@suse.de>

    Add OSS mixer <-> ALSA control plugin

commit 7dd46ea95ba8a895c1d84ce715e730f3361d69c5
Author: Takashi Iwai <tiwai@suse.de>

    Check ALSA version 1.0.9

commit f93695242f5360a8438360dc218ffb1bee9f453d
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.9

commit 8e3f81ac50f1b45c0473f33b89bd965d4be15565
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.9rc4

commit e0d5051e2295287e4c599bf2f1b7b88f1225d533
Author: Takashi Iwai <tiwai@suse.de>

    Fill the new "version" field

commit 7b56db21830a51fa5287f4477e8ba4949c178162
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.9rc3

commit bde9a0ba2c0200a9929b2ed4d30e59720e8c317a
Author: Takashi Iwai <tiwai@suse.de>

    Add README

commit 6caf665d8836fbf689670670af691b1537625109
Author: Jaroslav Kysela <perex@perex.cz>

    Added COPYING and more packaging stuff

commit c2f528eefc6e94c5daca0d2ce32ef8585cee5d67
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.9rc2

commit b1ae46aa0c6aa0cf9c4056cc3de3b5797c2434c3
Author: Jaroslav Kysela <perex@perex.cz>

    packaging related changes

commit 88bd4f68b834dd343192ba7ec3d21124c49a406f
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.9rc1

commit 79c67a1df4849326cfdbc676553a069512c40f17
Author: Takashi Iwai <tiwai@suse.de>

    Check the new API function in configure

commit 3fc8c9f7a84bdf113660305f233cad6734e68830
Author: Takashi Iwai <tiwai@suse.de>

    Fix buffer size constraints, access mode

commit 38aff8ef23624ef8bf6a84e36dd5fa6348ab62a2
Author: Takashi Iwai <tiwai@suse.de>

    Clean-up and cosmetic changes

commit 9ef92bc885fdde40cac6f62a4122615e65b660cf
Author: Takashi Iwai <tiwai@suse.de>

    Various external plugins
